// General.
body {
  font-family: 'Open Sans', sans-serif;
  margin: 0;
}
.main {
  margin: 0 auto;
  max-width: 1230px;
  @media only screen and (min-width: 992px) {
    margin: 50px auto;
    padding: 0 40px;
  }
}

// Flexbox.
.d-flex {
  display: flex;
}

.d-flex-sm {
  @media only screen and (min-width: 768px) {
    display: flex;
  }
}

.align-center {
  align-items: center;
}

.align-baseline {
  align-items: baseline;
}

.justify-center {
  justify-content: center;
}

.justify-space-between {
  justify-content: space-between;
}

.flex-wrap-md {
  @media only screen and (min-width: 992px) {
    flex-wrap: wrap;
  }
}

// Typography.
h1 {
  font-size: 34px;
  font-weight: 700;
  line-height: 45px;
}

h3 {
  font-size: 24px;
  font-weight: 700;
  line-height: 30px;
}

h4 {
  font-size: 20px;
  font-weight: 400;
  line-height: 24px;
}

p {
  font-size: 18px;
  font-weight: 300;
  line-height: 24px;
  word-break: break-word;
}

a {
  color: #FF7900;
  outline: 0;
  transition: color 0.1s ease-out;
  &:hover,
  &:focus {
    color: darken(#FF7900, 10%);
  }
}

* {
  outline: 0;
}

// Colors.
.text-orange {
  color: #FF7900;
}

// Hero section.
.hero {
  align-items: flex-end;
  background: url('../../images/images/compressed/phone_hitting_street_flip.jpg');
  background-repeat: no-repeat;
  background-size: cover;
  display: flex;
  min-height: 254px;
  padding: 30px;
  position: relative;
  @media only screen and (min-width: 992px) {
    padding: 48px;
  }
  &:after {
    background: rgba(0,0,0,0.24);
    content: "";
    height: 100%;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
  }
  div {
    position: relative;
    z-index: 1;
  }
  .top {
    color: #fff;
    max-width: 600px;
    @media only screen and (max-width: 991px) {
      text-align: center;
    }
    h1 {
      margin: 0;
    }
    p {
      margin: 8px 0 0;
    }
  }
}

// Services section.
.services {
  margin: 48px auto 0;
  @media only screen and (max-width: 991px) {
    align-items: center;
    max-width: 450px;
  }
  @media only screen and (min-width: 992px) {
    margin: 48px -12px 0;
  }
  > div {
    width: 290px;
    @media only screen and (min-width: 992px) {
      max-width: 290px;
      padding: 0 12px;
      width: 100%;
    }
    &:first-child {
      .bg-image {
        background-image: url('../../images/images/compressed/phone_screen.jpeg');
      }
    }
    &:nth-child(2) {
      .bg-image {
        background-image: url('../../images/images/compressed/thief_stealing_phone_from_bag.jpeg');
      }
    }
    &:nth-child(3) {
      .bg-image {
        background-image: url('../../images/images/compressed/masked_thief.jpeg');
      }
    }
    &:last-child {
      .bg-image {
        background-image: url('../../images/images/compressed/peace_sign.jpeg');
      }
    }
  }
  .item {
    @media only screen and (max-width: 991px) {
      text-align: center;
    }
  }
  .bg-image {
    background-size: cover;
    height: 200px;
  }

  h4 {
    margin: 24px 0 0;
  }

  p {
    margin-top: 8px;
  }
}

// Did you know section.
.did-you-know {
  margin: 40px 0 20px;
  @media only screen and (max-width: 991px) {
    text-align: center;
  }
  .items {
    @media only screen and (max-width: 991px) {
      align-items: center;
      margin: 0 auto;
      max-width: 450px;
    }
  }
  h3 {
    @media only screen and (max-width: 991px) {
      margin-bottom: 0;
    }
  }
  .item {
    width: calc(100% / 3);
    @media only screen and (max-width: 991px) {
      padding: 0 20px;
    }
    &:before {
      @media only screen and (min-width: 992px) {
        content: url('../../images/icons/top_left.svg');
        margin: 0 8px 0 0;
        position: relative;
        top: 5px;
      }
    }

    a {
      color: #000;
      text-decoration: none;
      transition: color 0.1s ease-out;
      &:hover {
        color: #FF7900;
      }
    }
  }
  h4 {
    @media only screen and (min-width: 992px) {
      max-width: 260px;
    }
  }
}

// Advantages section.
.advantages {
  background-color: rgba(0,0,0,0.02);
  padding: 40px 0 30px;
  text-align: center;
  @media only screen and (min-width: 992px) {
    padding: 80px 100px 60px;
  }
  
  > h3 {
    margin-top: 0;
    @media only screen and (max-width: 991px) {
      padding: 0 40px;
    }
  }
  .items {
    margin: 40px auto 0;
    @media only screen and (max-width: 991px) {
      align-items: center;
      max-width: 450px;
    }
    @media only screen and (min-width: 992px) {
      margin: 80px -12px 0 0;
    }
  }

  .item {
    @media only screen and (max-width: 991px) {
      padding: 0 20px;
    }
    @media only screen and (min-width: 992px) {
      max-width: 240px;
      padding: 0 12px;
    }
    h4 {
      margin-bottom: 0;
    }
    p {
      margin-top: 8px;
    }
  }
}

// Insurance Conditions section.
.insurance-conditions {
  background: #000;
  color: #fff;
  padding: 40px;
  @media only screen and (min-width: 992px) {
    padding: 50px;
  }
  @media only screen and (min-width: 992px) {
    margin: 32px 0 0;
  }
  h3 {
    margin: 0;
  }
  p {
    margin-top: 8px;
  }

  .items {
    @media only screen and (min-width: 768px) {
      margin: 0 -8px;
    }
  }

  a.item {
    border: 2px solid #fff;
    color: #fff;
    height: 60px;
    margin: 8px 0;
    padding: 0 24px;
    text-align: center;
    text-decoration: none;
    transition: background 0.1s ease-out, color 0.1s ease-out;
    &:hover {
      background: #fff;
      color: #000;
    }
    @media only screen and (min-width: 768px) {
      margin: 0 8px;
    }
  }
}

// Details section.
.details {
  background-color: rgba(0,0,0,0.02);
  padding: 40px;
  @media only screen and (min-width: 992px) {
    padding: 50px;
  }
  @media only screen and (min-width: 992px) {
    margin-top: 32px;
  }
  p {
    font-size: 16px;
  }
  .logos {
    margin: 0 auto 40px;
    justify-content: center;
    @media only screen and (max-width: 767px) {
      align-items: center;
      flex-direction: column;
    }
    > div {
      align-items: center;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      text-align: center;
      width: 100%;
      @media only screen and (min-width: 768px) {
        border-right: 1px solid rgba(0,0,0,0.2);
      }
      img {
        max-width: 100%;
      }
      &:first-child {
        max-width: 153px;
        @media only screen and (min-width: 768px) {
          padding-right: 15px;
        }
        @media only screen and (min-width: 992px) {
          padding-right: 35px;
        }
      }
      &:nth-child(2) {
        max-width: 90px;
        @media only screen and (max-width: 767px) {
          border-bottom: 1px solid rgba(0,0,0,0.2);
          border-top: 1px solid rgba(0,0,0,0.2);
          margin: 10px 0;
          padding: 10px 0;
        }
        @media only screen and (min-width: 768px) {
          padding: 0 15px;
        }
        @media only screen and (min-width: 992px) {
          padding: 0 70px;
        }
        img {
          max-width: 40px;
        }
      }
      &:last-child {
        border: 0;
        max-width: 193px;
        @media only screen and (min-width: 768px) {
          padding-left: 15px;
        }
      }
    }
    p {
      color: #000;
      font-size: 16px;
      font-weight: 400;
      line-height: 16px;
      margin: 0 0 10px;
      word-break: normal;
    }
  }
  h4 {
    margin-top: 0;
  }
}

// Slick.
.slick-arrow {
  background: none;
  border: 0;
  height: 40px;
  outline: 0;
  text-indent: -99999999em;
  &:before {
    content: url('../../images/icons/left_arrow.svg');
    float: left;
    text-indent: 0;
  }
  &.clicked {
    &:before {
      animation: fade 0.6s;
    }
  }
  &.slick-disabled {
    opacity: 0;
  }
}

.slick-next {
  &:before {
    transform: rotate(180deg);
  }
}

.slick-slide {
  outline: 0;
  img {
    margin: auto;
  }
}

// Fade animation
@keyframes fade {
  0%   {opacity: 1;}
  50%  {opacity: 0.2;}
  100% {opacity: 1;}
}

.osano-cm-link,
.osano-cm-widget {
  display: none;
}